function [FV,f,f0]=intFFT(V,T,R)
% intFFT <interpolated FFT>
% Usage:: [FV,f,f0]=intFFT(V,T,R[0])
%

% revision history:
% 03/01/21 Mark D. Shattuck <mds> intFFT.m

%% Parse Input
if(~exist('R','var') || isempty(R))
	R=0;
end

%% Main
N=length(V);
f0=N/T/1e-6;
f=f0*(-R*N/2:R*N/2-1)/N/R;
FV=abs(fftshift(fft([zeros(1,(R-1)*N) V-mean(V)])));


